This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 878025 - (CVE-2012-5534) CVE-2012-5534 weechat (scripts / plug-ins): Arbitrary code execution due to call of shell when executing command within hook_process
CVE-2012-5534 weechat (scripts / plug-ins): Arbitrary code execution due to c...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20121118,repor...
: Security
Depends On: 878026 878027
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-19 08:36 EST by Jan Lieskovsky
Modified: 2015-07-31 02:55 EDT (History)
5 users (show)

See Also:
Fixed In Version: WeeChat 0.3.9.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 05:43:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 790217 None None None Never

  None (edit)
Description Jan Lieskovsky 2012-11-19 08:36:00 EST
A security flaw was found in the way WeeChat (Wee Enhanced Environment for Chat), a portable, fast, light and extensible IRC client, performed command execution in hook_process, when a plug-in or script provided an untrusted input to WeeChat hook. A remote attacker could use this flaw to cause arbitrary code execution with the privileges of the user running the WeeChat client plug-in.

Upstream bug report:
[1] https://savannah.nongnu.org/bugs/?37764

Relevant patch:
[2] http://git.savannah.gnu.org/gitweb/?p=weechat.git;a=commitdiff_plain;h=efb795c74fe954b9544074aafcebb1be4452b03a

CVE request:
[3] http://www.openwall.com/lists/oss-security/2012/11/19/2

References:
[4] http://www.weechat.org/security/
[5] http://www.weechat.org/files/changelog/ChangeLog-0.3.9.2.html
Comment 1 Jan Lieskovsky 2012-11-19 08:38:19 EST
This issue affects the versions of the weechat package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the version of the weechat package, as shipped with Fedora EPEL 6. Please schedule an update.

--

This issue did NOT affect the version of the weechat package, as shipped with Fedora EPEL 5 as it did not include the vulnerable source code part / functionality (yet).
Comment 2 Jan Lieskovsky 2012-11-19 08:39:49 EST
Created weechat tracking bugs for this issue

Affects: fedora-all [bug 878026]
Affects: epel-6 [bug 878027]
Comment 3 Jan Lieskovsky 2012-11-19 12:41:02 EST
The CVE identifier of CVE-2012-5534 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/11/19/4
Comment 4 Fedora Update System 2012-11-27 00:11:23 EST
weechat-0.3.8-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Jan Lieskovsky 2012-11-27 05:43:25 EST
Updates for all products, this issue had affected previously, has been submitted already. Closing this bug.
Comment 6 Fedora Update System 2012-11-28 22:58:23 EST
weechat-0.3.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-11-29 01:09:31 EST
weechat-0.3.8-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-11-29 01:18:35 EST
weechat-0.3.8-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.